/* ======================= Variable Globales =======================*/
/* ATTENTION !!!!! 64 Ko seulement de disponible, sinon message "Relocation troncated to fit" */
/* Macros for convenience */
#define A a_reg
#define X x_reg
#define Y y_reg
#define P flag_reg
#define S s_reg
#define PC pc_reg

/* Macros emulateur */
#define	TailleRAM 49152
#define	TailleROM 16384
#define TailleArret 10

/* assumes WORD = 16bit, BYTE = 8bit!! */
typedef unsigned short WORD;
typedef unsigned char  BYTE;
   
/* Address mask. Atari Asteroids/Deluxe use 0x7fff -
 * but use 0xffff for full 16 bit decode
 */
WORD addrmask=0xffff;

/* flags = NVRBDIZC */
BYTE a_reg,x_reg,y_reg,flag_reg,s_reg;
WORD pc_reg = 0;

/* internal registers */
BYTE opcode;
int  clockticks6502 = 0;

/* help variables */
WORD savepc;
BYTE value;
int  sum,saveflags;

/* arrays */
void (*adrmode[256])();
void (*instruction[256])();
int  ticks[256];
WORD help;

/* un chunk etant limite a moins de 64 Ko, il faut decouper la memoire en 2 parties !! */
/* 2 tableaux representant les 65 536 octets (64 Ko) que peut decoder le 6502 */
VoidHand	gameImageHandleRAM;
VoidHand	gameImageHandleROM;
CharPtr	gameImageRAM;
CharPtr	gameImageROM;

/* -------- Variables ORIC --------- */
WORD	arret1, arret2, arret3;											/* Points d'arrets 		*/
Boolean	ActiveTrace = false;			/* Active Mode Trace	*/
Boolean	traceON = false;					/* Mode Trace ON/OFF 	*/
WORD timerA = 0;									/* Timer A du 6522 		*/
Boolean modetext = true;							/* Mode TEXT=true, HIRES=false */
BYTE NumTouche = 0;
//Char Touche[13] = {'P', 'R', 'I', 'N', 'T', '"', 'S', 'A', 'L', 'U', 'T', '"', 0x0D};			/* Touches appuyees 	*/
//Char Touche[] = {'1', '0', 'P', 'R', 'I', 'N', 'T', '"', 'S', 'A', 'L', 'U', 'T', '"', 0x0D, '2', '0', 'G', 'O', 'T', 'O', '1', '0', 0x0D, 'R', 'U', 'N', 0x0D};
//Char Touche[] = {'1', '0', 'F', 'O', 'R', 'I', '=', '1', 'T', 'O', '1', '0', '1', 0x0D, '2', '0', 'P', 'R', 'I', 'N', 'T', 'I', 0x0D, '3', '0', 'N', 'E', 'X', 'T', 'I', 0x0D, 'R', 'U', 'N', 0x0D};
BYTE Touche = 0x00;

